Quote

Subscribe Quote

WSRequest · cmd 6

This API is used to subscribe quote.

message SubscribeRequest {
  repeated string symbol = 1;
  repeated SubType sub_type = 2;
  bool is_first_push = 3;
}

message SubscriptionResponse {
  repeated SubTypeList sub_list = 1;
}
Quote Permission RequiredFree

Included with OpenAPI activation — no extra purchase needed.

Request parameters

NameTypeRequiredDescription
symbolstring[]RequiredSecurity code list, for example: [700.HK]. Max 500 symbols per request; max 500 subscriptions per user
sub_typeint32[]RequiredSubscription type, for example: [1,2], see SubType
is_first_pushboolRequiredWhether to perform a data push immediately after subscribing (trade not supported)

Response fields

NameTypeRequiredDescription
sub_listobject[]OptionalSubscription list
└ symbolstringOptionalSecurity code
└ sub_typeint32[]OptionalSubscription type, see SubType

Response JSON example

{
  "sub_list": [
    {
      "symbol": "700.HK",
      "sub_type": [
        1,
        2,
        3
      ]
    },
    {
      "symbol": "AAPL.US",
      "sub_type": [
        2
      ]
    }
  ]
}